Summary: Cross platform Zero Configuration Networking library 
Name: mono-zeroconf
Version: 0.9.0
Release: %mkrel 11
Source0: http://download.banshee-project.org/mono-zeroconf/%{name}-%{version}.tar.bz2
License: BSD
Group: System/Libraries
Url: http://mono-project.com/Mono_Zeroconf
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: monodoc-devel
BuildRequires: avahi-sharp

%description
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
This package contains the API documentation for %name in
Monodoc format.

%prep
%setup -q
sed -i "s#gmcs#mcs#g" configure
sed -i "s#2.0#4.5#g" configure

%build
./configure --prefix=%_prefix
make

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%post doc
%_bindir/monodoc --make-index > /dev/null
%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi


%files
%doc README COPYING
%_bindir/mzclient
%_prefix/lib/%name
%_prefix/lib/mono/gac/Mono.Zeroconf
%_prefix/lib/mono/gac/policy.?.?.Mono.Zeroconf
%_prefix/lib/mono/%name

%files devel
%_datadir/pkgconfig/mono-zeroconf.pc

%files doc
%_prefix/lib/monodoc/sources/*


%changelog
* Sun Dec 20 2015 tv <tv> 0.9.0-11.mga6
+ Revision: 912674
- rebuild for mono4

* Thu Dec 03 2015 tv <tv> 0.9.0-10.mga6
+ Revision: 907962
- BR monodoc-devel
- adjust file list
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-9.mga5
+ Revision: 749954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-8.mga5
+ Revision: 682583
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-7.mga4
+ Revision: 508013
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.0-6.mga3
+ Revision: 360255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.9.0-5.mga1
+ Revision: 76193
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.9.0-4.mga1
+ Revision: 72680
- imported package mono-zeroconf

